Compilation error in the latest development release

Jouni Malinen jkmaline at cc.hut.fi
Sat Sep 17 23:53:15 EDT 2005


On Tue, Sep 06, 2005 at 04:29:13PM +0200, Pablo Osuna wrote:

> I am trying to compile 0.4.4 hostap driver (latest development release)
> in Ubuntu but I am getting this error when I do make:
> 
> root at Pablo:/home/pablo/EHAS/RouterMesh/Hostap/hostap-driver-0.4.4 # make
> KERNEL_PATH=/usr/src/linux-headers-2.6.10-5-386 

The backwards compatibility code for SET_NETDEV_DEV() and
handle_to_dev() was broken and hostap_cs.ko could not be built with
Linux 2.6.0 - 2.6.10. This is now fixed in CVS.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list